declare const _default: {
    metadataVersion: string;
    source: {
        hash: string;
        language: string;
        compiler: string;
    };
    contract: {
        name: string;
        version: string;
        authors: string[];
    };
    spec: {
        constructors: {
            args: any[];
            docs: any[];
            name: string[];
            selector: string;
        }[];
        docs: any[];
        events: {
            args: {
                docs: any[];
                indexed: boolean;
                name: string;
                type: {
                    displayName: string[];
                    type: number;
                };
            }[];
            docs: string[];
            name: string;
        }[];
        messages: {
            args: {
                name: string;
                type: {
                    displayName: string[];
                    type: number;
                };
            }[];
            docs: any[];
            mutates: boolean;
            name: string[];
            payable: boolean;
            returnType: {
                displayName: string[];
                type: number;
            };
            selector: string;
        }[];
    };
    storage: {
        struct: {
            fields: ({
                layout: {
                    struct: {
                        fields: ({
                            layout: {
                                struct: {
                                    fields: ({
                                        layout: {
                                            cell: {
                                                key: string;
                                                ty: number;
                                            };
                                            struct?: undefined;
                                        };
                                        name: string;
                                    } | {
                                        layout: {
                                            struct: {
                                                fields: ({
                                                    layout: {
                                                        cell: {
                                                            key: string;
                                                            ty: number;
                                                        };
                                                        array?: undefined;
                                                    };
                                                    name: string;
                                                } | {
                                                    layout: {
                                                        array: {
                                                            cellsPerElem: number;
                                                            layout: {
                                                                cell: {
                                                                    key: string;
                                                                    ty: number;
                                                                };
                                                            };
                                                            len: number;
                                                            offset: string;
                                                        };
                                                        cell?: undefined;
                                                    };
                                                    name: string;
                                                })[];
                                            };
                                            cell?: undefined;
                                        };
                                        name: string;
                                    })[];
                                };
                                hash?: undefined;
                            };
                            name: string;
                        } | {
                            layout: {
                                hash: {
                                    layout: {
                                        cell: {
                                            key: string;
                                            ty: number;
                                        };
                                    };
                                    offset: string;
                                    strategy: {
                                        hasher: string;
                                        postfix: string;
                                        prefix: string;
                                    };
                                };
                                struct?: undefined;
                            };
                            name: string;
                        })[];
                    };
                    cell?: undefined;
                };
                name: string;
            } | {
                layout: {
                    cell: {
                        key: string;
                        ty: number;
                    };
                    struct?: undefined;
                };
                name: string;
            })[];
        };
    };
    types: ({
        def: {
            composite: {
                fields: {
                    name: string;
                    type: number;
                    typeName: string;
                }[];
            };
            primitive?: undefined;
            array?: undefined;
            tuple?: undefined;
            variant?: undefined;
        };
        path: string[];
        params?: undefined;
    } | {
        def: {
            primitive: string;
            composite?: undefined;
            array?: undefined;
            tuple?: undefined;
            variant?: undefined;
        };
        path?: undefined;
        params?: undefined;
    } | {
        def: {
            composite: {
                fields: {
                    name: string;
                    type: number;
                    typeName: string;
                }[];
            };
            primitive?: undefined;
            array?: undefined;
            tuple?: undefined;
            variant?: undefined;
        };
        params: number[];
        path: string[];
    } | {
        def: {
            composite: {
                fields: {
                    type: number;
                    typeName: string;
                }[];
            };
            primitive?: undefined;
            array?: undefined;
            tuple?: undefined;
            variant?: undefined;
        };
        path: string[];
        params?: undefined;
    } | {
        def: {
            array: {
                len: number;
                type: number;
            };
            composite?: undefined;
            primitive?: undefined;
            tuple?: undefined;
            variant?: undefined;
        };
        path?: undefined;
        params?: undefined;
    } | {
        def: {
            tuple: number[];
            composite?: undefined;
            primitive?: undefined;
            array?: undefined;
            variant?: undefined;
        };
        path?: undefined;
        params?: undefined;
    } | {
        def: {
            variant: {
                variants: ({
                    name: string;
                    fields?: undefined;
                } | {
                    fields: {
                        type: number;
                        typeName: string;
                    }[];
                    name: string;
                })[];
            };
            composite?: undefined;
            primitive?: undefined;
            array?: undefined;
            tuple?: undefined;
        };
        params: number[];
        path: string[];
    } | {
        def: {
            variant: {
                variants: {
                    discriminant: number;
                    name: string;
                }[];
            };
            composite?: undefined;
            primitive?: undefined;
            array?: undefined;
            tuple?: undefined;
        };
        path: string[];
        params?: undefined;
    })[];
};
export default _default;
