import type { Authentication, Call, Contract } from './types';
import { Sealer } from '@skyekiwi/crypto';
import { File } from '@skyekiwi/file';
export declare class SContractReader {
    #private;
    constructor(file: File, sealer: Sealer);
    init(): Promise<void>;
    unlockSealer(seed: string): void;
    encodeContract(seed: string, contract: Contract): string;
    decodeContract(contractRaw: string): Contract;
    writeState(state: string): void;
    readState(): string;
    writeAuth(auth: Authentication): void;
    revokeAuth(auth: Authentication): void;
    getContractId(): string;
    writeToFile(path: string): Promise<void>;
    forceInject(seed: string, contract: Contract): void;
    getHighLocalCallIndex(): string;
    readContract(): Contract;
}
export declare class SContractSerde {
    static decodeCall(call: string, sealer: Sealer): Call;
    static encodeCall(call: Call, sealer: Sealer): string;
    static encodeAuth(auth: Authentication): string;
    static decodeAuth(authStringRaw: string): Authentication;
}
